> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automaticrostering.visma.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop a job



## OpenAPI

````yaml /openapi.yaml post /roster/stop/{jobId}
openapi: 3.1.0
info:
  title: Automatic Rostering API
  version: 2.0.0
  description: >-
    Automatic Rostering acts as the modern intelligence layer for your workforce
    management product.
  license:
    name: Proprietary
servers:
  - url: https://api-stage.automaticrostering.visma.net
    description: Stage environment
  - url: https://api.automaticrostering.visma.net
    description: Production environment
security:
  - vismaConnectBearer: []
tags:
  - name: Roster
    description: Submit, monitor, stop, and fetch roster jobs.
  - name: Reason
    description: Configure integrator context used by Reasoning Engine capabilities.
paths:
  /roster/stop/{jobId}:
    post:
      tags:
        - Roster
      summary: Stop a job
      operationId: stopRoster
      parameters:
        - $ref: '#/components/parameters/jobId'
      responses:
        '200':
          $ref: '#/components/responses/JobId'
        '400':
          $ref: '#/components/responses/BadRequest'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    jobId:
      name: jobId
      in: path
      required: true
      description: Unique identifier for the roster job.
      schema:
        type: string
        format: uuid
  responses:
    JobId:
      description: Response containing the job ID of the initiated roster job.
      content:
        application/json:
          schema:
            type: object
            additionalProperties: false
            required:
              - jobId
            properties:
              jobId:
                type: string
                format: uuid
    BadRequest:
      description: Request was invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated user is not allowed to access the resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Server failed to process the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      additionalProperties: false
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    vismaConnectBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Include the access token in the Authorization header using the Bearer
        scheme.

````